<div fxLayout="column">

  <!-- Nav Bar-->
  <div fxLayout="row" id="navbar">
    <app-hungry-nav-bar fxFlex="50%"></app-hungry-nav-bar>
    <div fxFlex="50%" id="weekPagination">
      <button md-button color="primary" class="button-strong-text" (click)="changeWeek(-1)">Previous week</button>
      <button md-button class="button-strong-text" (click)="changeWeek(0)" [ngClass]="{'active-link': currentWeek, 'inactive-link': !currentWeek}" [disabled]="currentWeek">Current week</button>
      <button md-button color="primary" class="button-strong-text" (click)="changeWeek(1)">Next week</button>
    </div>
  </div>
  <!-- /Nav Bar-->

  <!-- Loading Spinner-->
  <div class="spinner-container" *ngIf="datesOfWeek.length < 4">
    <div class="spinner-container-content">
      <md-spinner color="warn"></md-spinner>
    </div>
  </div>
  <!-- /Loading Spinner-->

  <!-- Daily Menus-->
  <div *ngFor="let day of datesOfWeek">
    <div class="date" [id]="day.getDate()">{{day | date:'EEE, dd MMM y'}}</div>
    <app-hungry-daily-order [dailyMenu]="dailyMenusMap.get(day.getTime())" (dailyTotal)="updateDailyTotal($event)"></app-hungry-daily-order>
  </div>
  <!-- /Daily Menus-->

  <!-- Week Pagination -->
  <div id="weekPaginationFooter">
    <button md-button color="primary" class="button-strong-text" (click)="changeWeek(-1)">Previous week</button>
    <button md-button color="primary" class="button-strong-text" (click)="changeWeek(1)">Next week</button>
  </div>
  <!-- /Week Pagination -->

  <!-- Summary -->
  <div>
    <md-card>
      <div fxLayout="column">

        <!-- Weekly total -->
        <div fxLayout="row">
          <div fxFlex="50%">
            <h2>Your weekly total</h2>
          </div>
          <div fxFlex="50%" class="right-text">
            <h2>{{weeklyTotal | number:'1.2'}}<span [innerHTML]="globalSettingsService.getCurrency() | async"></span></h2>
          </div>
        </div>
        <!-- /Weekly total -->

        <div>
          <hr>
        </div>

        <!-- Notes -->
        <div>
          <h2>Notes</h2>
          <div class="deadline">
            <span>- Deadline for signing-up for the next day's meal is by
            <span class="bold-text">{{globalSettingsService.getDeadLine() | async | date:'HH:mm'}}</span>
            of the previous day.</span>
          </div>
          <div [innerHTML]="globalSettingsService.getNotes() | async"></div>
        </div>
        <!-- /Notes -->

      </div>

    </md-card>
  </div>
  <!-- /Summary -->

</div>
